AssociationAttributeBinding (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Interface AssociationAttributeBinding

All Superinterfaces:
  AttributeBinding

All Known Subinterfaces:
  PluralAttributeBinding, SingularAssociationAttributeBinding

All Known Implementing Classes:
  AbstractPluralAttributeBinding, BagBinding, ManyToOneAttributeBinding, SetBinding

    public interface AssociationAttributeBinding

extends AttributeBinding

Contract describing a binding for attributes which model associations.

Method Summary
`CascadeStyle` | `getCascadeStyle()` Obtain the cascade style in effect for this association.
`FetchMode` | `getFetchMode()` Deprecated.
`FetchStyle` | `getFetchStyle()`
`FetchTiming` | `getFetchTiming()`
`void` | `setCascadeStyles(Iterable<CascadeStyle> cascadeStyles)` Set the cascade styles in effect for this association.
`void` | `setFetchStyle(FetchStyle fetchStyle)`
`void` | `setFetchTiming(FetchTiming fetchTiming)`

Methods inherited from interface org.hibernate.metamodel.binding.AttributeBinding
`addEntityReferencingAttributeBinding, getAttribute, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getMetaAttributeContext, getPropertyAccessorName, isAlternateUniqueKey, isAssociation, isBasicPropertyAccessor, isIncludedInOptimisticLocking, isLazy, setIncludedInOptimisticLocking, setPropertyAccessorName, validate`

Method Detail

### getCascadeStyle

    CascadeStyle getCascadeStyle()

  Obtain the cascade style in effect for this association.

  Returns:
    The (potentially aggregated) cascade style.

### setCascadeStyles

    void setCascadeStyles(Iterable<CascadeStyle> cascadeStyles)

  Set the cascade styles in effect for this association.

  Parameters:
    `cascadeStyles` - The cascade styles.

### getFetchTiming

    FetchTiming getFetchTiming()

### setFetchTiming

    void setFetchTiming(FetchTiming fetchTiming)

### getFetchStyle

    FetchStyle getFetchStyle()

### setFetchStyle

    void setFetchStyle(FetchStyle fetchStyle)

### getFetchMode

    @Deprecated
    FetchMode getFetchMode()

  Deprecated.

  Temporary. Needed for integration with legacy org.hibernate.mapping configuration of persisters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.